Skip to main content
POST
Cancel enqueued refund
Cancels a refund that is currently in the ENQUEUED status.
  • The refund will be moved to FAILED status.
  • The refund will have the failure code MANUALLY_CANCELLED.
  • If you have configured callbacks, a callback will be sent.

Authorizations

Authorization
string
header
required

Path Parameters

refundId
string<uuid>
required

The id of the refund that you are performing this operation on.

Required string length: 36

Response

Request has been processed by pawaPay

refundId
string<uuid>
required

The unique ID for this payment in PawaPay as specified by you during initiation.

Required string length: 36
Example:

"f4401bd2-1568-4140-bf2d-eb77d2b2b639"

status
enum<string>
required

Possible initiation statuses:

  • ACCEPTED - The action request has been accepted by PawaPay for processing.
  • REJECTED - The action request has been rejected by PawaPay. See failureReason for details.
Available options:
ACCEPTED,
REJECTED
failureReason
object

The reason for the failure for this action

Example:

"Deposit with ID \\#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found"